function _ts_decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for(var i = decorators.length - 1; i >= 0; i--)if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}
function _ts_metadata(k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
}
import { Column, Entity, Index, JoinColumn, ManyToOne, PrimaryColumn } from "typeorm";
import { id } from "../id.js";
import { User } from "./user.js";
import { Note } from "./note.js";
export let Memoriet = class Memoriet {
    id;
    createdAt;
    userId;
    user;
    noteId;
    note;
    expiresAt;
    textLayers;
};
_ts_decorate([
    PrimaryColumn(id()),
    _ts_metadata("design:type", String)
], Memoriet.prototype, "id", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone"),
    _ts_metadata("design:type", typeof Date === "undefined" ? Object : Date)
], Memoriet.prototype, "createdAt", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], Memoriet.prototype, "userId", void 0);
_ts_decorate([
    ManyToOne(()=>User, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], Memoriet.prototype, "user", void 0);
_ts_decorate([
    Index(),
    Column(id()),
    _ts_metadata("design:type", Object)
], Memoriet.prototype, "noteId", void 0);
_ts_decorate([
    ManyToOne(()=>Note, {
        onDelete: "CASCADE"
    }),
    JoinColumn(),
    _ts_metadata("design:type", Object)
], Memoriet.prototype, "note", void 0);
_ts_decorate([
    Index(),
    Column("timestamp with time zone", {
        nullable: true
    }),
    _ts_metadata("design:type", Object)
], Memoriet.prototype, "expiresAt", void 0);
_ts_decorate([
    Column("jsonb", {
        default: []
    }),
    _ts_metadata("design:type", Array)
], Memoriet.prototype, "textLayers", void 0);
Memoriet = _ts_decorate([
    Entity("memoriet")
], Memoriet);
